> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Invoices



## OpenAPI

````yaml /api-reference/invoices/invoice.json post /invoice/v1.0/getAllInvoice
openapi: 3.0.3
info:
  title: Invoice API
  description: API's to get invoice information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /invoice/v1.0/getAllInvoice:
    post:
      tags:
        - Invoice
      summary: Get All Invoices
      operationId: getAllInvoices
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                invoiceId:
                  type: string
                  description: >-
                    Invoice ID

                    invoiceId or billingSessionId one of the parameters is
                    mandatory.
                billingSessionId:
                  type: string
                  description: >-
                    Session ID for which invoices need to be filtered completely
                    PAID.
                customerId:
                  type: string
                  description: Filter invoices for a particular customerId.
                subscriptionId:
                  type: string
                  description: Subscription ID for which invoices need to be filtered.
                filter:
                  type: object
                  description: Different filters can be applied to query the invoices.
                  properties:
                    fromDate:
                      type: string
                      description: Start date for filtering invoices.
                    toDate:
                      type: string
                      description: End date for filtering invoices.
                    type:
                      type: string
                      enum:
                        - INVOICE
                        - CREDIT_NOTE
                        - PROFORMA
                      description: To filter according to the type of invoice.
                    status:
                      type: string
                      enum:
                        - DRAFT
                        - DUE
                        - OVERDUE
                        - PAID
                        - UNPAID
                        - CANCELLED
                        - APPROVED
                        - VOID
                      description: Filter invoices according to their status.
                page:
                  type: integer
                  minimum: 1
                  default: 1
                  description: >-
                    To use for pagination. The default value is 1 and the
                    accepted value is only greater than or equal to 1.
      responses:
        '200':
          description: All Invoice data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllInvoices'
components:
  schemas:
    getAllInvoices:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: array
          description: All Invoice data
          items:
            type: object
            additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.